Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 482962 - ~net-fs/openafs-kernel-1.6.2 fails to build against 3.9 and 3.10 kernels
Summary: ~net-fs/openafs-kernel-1.6.2 fails to build against 3.9 and 3.10 kernels
Status: RESOLVED DUPLICATE of bug 478296
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andrej Filipcic
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-29 19:54 UTC by Ian Stakenvicius
Modified: 2013-08-29 19:59 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
fix 1.6.2 against newer kernels (patch,9.96 KB, patch)
2013-08-29 19:55 UTC, Ian Stakenvicius
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Stakenvicius gentoo-dev 2013-08-29 19:54:39 UTC
As summary states.  The attached file includes patches and a change to the ebuild to make it build successfully against gentoo-sources-3.9.2 and gentoo-sources-3.10.7 (note as of this bug filing 3.10.7 is amd64 stable).

However, I don't use openafs so I haven't tested the end results at runtime.  Also, there are apparently a bunch of security bugs filed against this openafs version, so I wonder if it would make more sense instead to stabilize ~openafs{-kernel}-1.6.5 asap than try and maintain 1.6.2
Comment 1 Ian Stakenvicius gentoo-dev 2013-08-29 19:55:46 UTC
Created attachment 357366 [details, diff]
fix 1.6.2 against newer kernels

hm, patch didn't stick the first time.. trying again.
Comment 2 Ian Stakenvicius gentoo-dev 2013-08-29 19:59:03 UTC
Nevermind, this will be taken care of by the security stabilizations.

*** This bug has been marked as a duplicate of bug 478296 ***